classification
Title: Support http.server passing bind address via commend line argument
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, malte.swart, orsenthil, python-dev, r.david.murray
Priority: normal Keywords: patch

Created on 2013-04-16 16:28 by malte.swart, last changed 2013-09-15 16:39 by orsenthil. This issue is now closed.

Files
File name Uploaded Description Edit
http-server-bind-arg.patch malte.swart, 2013-04-16 16:28 Add --bind, -b option to http.server module review
http-server-bind-arg2.patch malte.swart, 2013-04-21 17:47 Updated patch + Documentation update review
Messages (6)
msg187102 - (view) Author: Malte Swart (malte.swart) * Date: 2013-04-16 16:28
The http.server supports a shortcut to start it directly via the interpreter. To be able to use this shortcut on server with insecure interfaces, this patch adds a --bind, -b option to specify a bind address.
msg187368 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2013-04-19 16:08
I left comments on Rietveld. The patch also needs a documentation update.
msg187517 - (view) Author: Malte Swart (malte.swart) * Date: 2013-04-21 17:47
I have updated the patch and added a paragraph for this option to the documentation. 

Shall I add this issue to the changelog list for python 3.4.0 alpha 1?
msg187521 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2013-04-21 20:16
Thanks for proposing this and working on it Malte.  Could you please submit a contributor agreement? (http://www.python.org/psf/contrib).

We will add the Misc/NEWS entry when we commit the patch; that file changes so rapidly that any patch to it quickly becomes outdated.  You could add an entry to Doc/whatsnew/3.4, though, if you were so moved.  If not we'll add that too when we commit.

For the doc patch, I think the first sentence would be clearer if it said "By default the server binds to all available interfaces."  I'll probably tweak a couple other words for better English phrasing when I commit it, as well.
msg197783 - (view) Author: Roundup Robot (python-dev) Date: 2013-09-15 16:37
New changeset a248655c8261 by Senthil Kumaran in branch 'default':
Expose --bind argument for http.server, enable http.server to bind to a user
http://hg.python.org/cpython/rev/a248655c8261
msg197784 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2013-09-15 16:39
Found the patch suitable and had addressed Berker Pesag's review comments too. Thanks for contributing, Malte Swart and thanks for submitting the contributor agreement too.
History
Date User Action Args
2013-09-15 16:39:35orsenthilsetstatus: open -> closed

nosy: + orsenthil
messages: + msg197784

resolution: fixed
stage: patch review -> resolved
2013-09-15 16:37:33python-devsetnosy: + python-dev
messages: + msg197783
2013-04-21 20:16:09r.david.murraysetnosy: + r.david.murray
messages: + msg187521
2013-04-21 17:47:19malte.swartsetfiles: + http-server-bind-arg2.patch

messages: + msg187517
2013-04-19 16:08:17berker.peksagsetnosy: + berker.peksag

messages: + msg187368
stage: patch review
2013-04-17 05:44:55berker.peksagsetversions: + Python 3.4
2013-04-16 16:28:50malte.swartcreate